libacpi: battery_t Struct Reference

- Main Page
- Classes
- Files

- Class List
- Class Members

# battery_t Struct Reference

information found about battery More...

`#include <libacpi.h>`

Collaboration diagram for battery_t:

[legend]
List of all members.

## Public Attributes
char | name [MAX_NAME]
char | state_file [MAX_NAME]
char | info_file [MAX_NAME]
char | alarm_file [MAX_NAME]
int | present
int | design_cap
int | last_full_cap
int | design_voltage
int | present_rate
int | remaining_cap
int | present_voltage
int | design_warn
int | design_low
int | design_level1
int | design_level2
int | alarm
int | percentage
int | charge_time
int | remaining_time
charge_state_t | charge_state
batt_state_t | batt_state

## Detailed Description

information found about battery

Definition at line 116 of file libacpi.h.

## Member Data Documentation

char battery_t::name[MAX_NAME]

name of the battery found in proc vfs

Definition at line 117 of file libacpi.h.

Referenced by init_acpi_batt().

char battery_t::state_file[MAX_NAME]

corresponding state file name + path

Definition at line 118 of file libacpi.h.

Referenced by init_acpi_batt().

char battery_t::info_file[MAX_NAME]

corresponding info file + path

Definition at line 119 of file libacpi.h.

Referenced by init_acpi_batt().

char battery_t::alarm_file[MAX_NAME]

corresponding alarm file + path

Definition at line 120 of file libacpi.h.

Referenced by init_acpi_batt().

int battery_t::present

battery slot is currently used by a battery or not? 0 if not, 1 if yes

Definition at line 121 of file libacpi.h.

int battery_t::design_cap

assuming capacity in mAh

Definition at line 122 of file libacpi.h.

int battery_t::last_full_cap

last full capacity when the battery was fully charged

Definition at line 123 of file libacpi.h.

int battery_t::design_voltage

design voltage in mV

Definition at line 124 of file libacpi.h.

int battery_t::present_rate

present rate consuming the battery

Definition at line 125 of file libacpi.h.

int battery_t::remaining_cap

remaining capacity, used to calculate percentage

Definition at line 126 of file libacpi.h.

int battery_t::present_voltage

present voltage

Definition at line 127 of file libacpi.h.

int battery_t::design_warn

specifies how many mAh need to be left to have a hardware warning

Definition at line 128 of file libacpi.h.

int battery_t::design_low

specifies how many mAh need to be left before the battery is low

Definition at line 129 of file libacpi.h.

int battery_t::design_level1

capacity granularity 1

Definition at line 130 of file libacpi.h.

int battery_t::design_level2

capacity granularity 2

Definition at line 131 of file libacpi.h.

int battery_t::alarm

generate hardware alarm in alarm "units"

Definition at line 132 of file libacpi.h.

int battery_t::percentage

remaining battery percentage

Definition at line 134 of file libacpi.h.

int battery_t::charge_time

remaining time to fully charge the battery in minutes

Definition at line 135 of file libacpi.h.

int battery_t::remaining_time

remaining battery life time in minutes

Definition at line 136 of file libacpi.h.

charge_state_t battery_t::charge_state

charge state of battery

Definition at line 139 of file libacpi.h.

batt_state_t battery_t::batt_state

battery capacity state

Definition at line 140 of file libacpi.h.

The documentation for this struct was generated from the following file:

- libacpi.h